Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604954 - nextcloud-client: FTBFS in Fedora rawhide
Summary: nextcloud-client: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 01:19 UTC by Mohan Boddu
Modified: 2018-11-22 19:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 16:03:41 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 01:20 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 01:20 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 01:20 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 01:19:59 UTC
nextcloud-client failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28203915


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix nextcloud-client at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nextcloud-client will be orphaned. Before branching of Fedora 30,
nextcloud-client will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 01:20:09 UTC
Created attachment 1464652 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 01:20:14 UTC
Created attachment 1464653 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 01:20:17 UTC
Created attachment 1464654 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 11:04:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Laurent Almeras 2018-11-06 17:40:03 UTC
Hello,

I think this commit is wrong : https://src.fedoraproject.org/rpms/nextcloud-client/c/d46ee21591514213b966781b18d87ecc371581c4?branch=f29

It comments out ``mv owncloudclient-VERSION client`` line and I think it is not something the commiter wanted to do.

I suggest to remove the "##" comment chars.

Currently creating my Fedora Account to see if I can provide a PR, but not receiving my account's confirmation email and password for the moment.

Comment 6 Laurent Almeras 2018-11-06 23:12:45 UTC
I tried to push a PR : https://src.fedoraproject.org/rpms/nextcloud-client/pull-request/1

Comment 7 Germano Massullo 2018-11-15 16:03:41 UTC
2.5.0 coming into Fedora repo in 48 hours

Comment 8 Laurent Almeras 2018-11-22 19:51:30 UTC
For feedback, 2.5.0 installed from updates-testing on Fedora 29, and it seems to work fine.


Note You need to log in before you can comment on or make changes to this bug.